* {
    margin: 0;
}

body {
    background-color: transparent;
    font-family: 'PopHapiness', sans-serif;
    color: black;
    text-shadow: 0px 0px 15px #e7d7d7d0;
    text-align: center;

    a {
        text-decoration: none;
        color: #3a4fb8;
    }

    a:hover {
        color: #4799f7;
        transition: color 0.5s;
    }
}

#background {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: -1;
    background: url('../img/screenshots/0.webp') no-repeat center center fixed;
    background-blend-mode: screen;
    background-color: #48e7ff;
    background-size: cover;
    /* filter: grayscale(50%); */
    filter: blur(2px);
    filter: contrast(0.5);
}

#main {
    margin-top: 5%;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    width: 70%;
    padding: 1%;

    p {
        padding-top: 10px;
    }

    p::first-letter {
        font-weight: bold;
        color: #4027ff;
        margin-left: 10px;
    }

    .note::first-letter {
        color: unset;
    }

    .context {
        margin: 0 5px;
        padding: 15px;
        background-color: #8ea5f0;
        border: dashed 2px #01124b;
        border-radius: 15px;
        box-shadow: 1px 1px 2px #bbbbbb;
    }

    img {
        max-width: 240px;
        height: auto;
        margin: auto;
    }

    li {
        display: block;
    }

    .news {
        margin-top: 2%;
        padding: 15px;
        background-color: #87c9f9;
        border-radius: 15px;
        box-shadow: 1px 1px 2px #bbbbbb;

        h3 {
            margin-top: 0;
            color: rgb(68, 6, 161)
        }
    }

    blockquote {
        font-style: italic;
    }
}

.flex-column {
    display: flex;

    & a {
        display: flex;
        margin: auto;
    }
}

h1 {
    padding-top: 1%;
}

h2 {
    padding-top: 1em;
}

h3 {
    margin-top: 2%;
    padding-bottom: 1%;
    color: #323c46;
}

h4 {
    padding-top: 2%;
}

ul {
    padding-top: 2%;
}

li {
    list-style: none;
    display: inline-block;
    margin: 0 5px;
}

footer {
    padding-top: 10%;
}


details {
    margin-top: 20px;

    summary {
        padding: 4px;
        border: none;
        cursor: pointer;

        &:hover {
            color: #99c5f7;
            transition: color 0.5s;
        }
    }

    p {
        background-color: #eeeeee;
        padding: 4px;
        box-shadow: 1px 1px 2px #bbbbbb;
    }

    details {
        color: rgb(93, 44, 28);
    }

    img {
        max-width: 200px !important;
    }
}